Skip to main content
POST
Booking requests will be sent to the booking system when a customer has purchased the product through the Website Travel platform.

Path Parameters

productIdentifier
string
required

Identifier for the fare/product being booked on the external booking system

Body

application/json

Booking Request Parameters

Booking Request Parameters

voucherNumber
string

Website Travel voucher number for this booking

orderReference
string

Website Travel reference for the order which contains the booking/voucher

quantity
integer

The quantity of product being booked for this date

bookingDate
string

Date of booking in YYYY-MM-DD format

bookingTimeId
string

Identifier of booking time to make booking for

pickupLocationId
string

Identifier of pickup location to make booking for

additionalFields
object

Array of key-value pairs

customers
object[]

List of customers included on this booking request

agency
object[]

Details of agency that took the booking

rrp
number<float>

The recommended retail price for the product on this booking

net
number<float>

Your net rate for the product on the booking

Response

Returned when successful.

success
boolean

Whether or not the booking was made successfully.

bookingReferenceId
string

The booking reference from the external booking system.

bookingNotes
string

The booking notes from the external booking system.

errorMessage
string

A reason for the unsuccessful booking request.